Summary: shared library for C like extension language
Name: slang
Version: 1.0.3
Release: 2
Copyright: GPL
Group: Libraries
Source: ftp://space.mit.edu/pub/davis/slang/slang1.0.3.tar.gz
URL: ftp://space.mit.edu/pub/davis/slang/
Packager: Jani Hakala <jahakala@cc.jyu.fi>
Buildroot: /tmp/slang-root

%changelog

* Thu Feb 12 1998 Jani Hakala <jahakala@cc.jyu.fi>

- updated to v1.0.3

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>

- spec file cleanups

* Mon Sep 1 1997 Donnie Barnes <djb@redhat.com>

- upgraded to 0.99.38 (will it EVER go 1.0???)
- all patches removed (all appear to be in this version)

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
Slang (pronounced ``sssslang'') is a powerful stack based interpreter
that supports a C-like syntax.  It has been designed from the beginning
to be easily embedded into a program to make it extensible. Slang also
provides a way to quickly develop and debug the application embedding it
in a safe and efficient manner.  Since slang resembles C, it is easy to
recode slang procedures in C if the need arises.

%package devel
Summary: static library and header files for slang C like language
Group: Development/Libraries
Requires: slang

%description devel
This package contains the slang static libraries and header files
required to develop slang-based applications.  It also includes 
documentation to help you write slang-based apps.

%prep
rm -fr $RPM_BUILD_ROOT
%setup -n slang

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --includedir=$RPM_BUILD_ROOT/usr/include/slang
make elf
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/slang
make prefix=$RPM_BUILD_ROOT/usr install-elf
make prefix=$RPM_BUILD_ROOT/usr install

ln -sf libslang.so.1.0.3 $RPM_BUILD_ROOT/usr/lib/libslang.so.1
ln -sf libslang.so.1.0.3 $RPM_BUILD_ROOT/usr/lib/libslang.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files
/usr/lib/libslang.so.1*

%files devel
%doc  doc/text/*
/usr/lib/libslang.a
/usr/lib/libslang.so
/usr/include/slang
